JBoss Plugin on EAP

Martin - do you have any plans for making the JBoss plugin with the 3095+ EAP builds, or are you going to wait for a more stable platform?

Nick

11 comments
Comment actions Permalink

Martin - do you have any plans for making the JBoss
plugin with the 3095+ EAP builds, or are you going to
wait for a more stable platform?


It's almost done, new version should be available soon, possibly tomorrow.

Does anybody know how plugin repository handles different plugin versions for differen IDEA versions? Do I have to upload them with different file names, or is the different 'since-build' attribute distinguishing enough?

I asked this question to the 'master of plugins' but didn't get any answer yet.

0
Comment actions Permalink

Martin Fuhrer wrote:

Does anybody know how plugin repository handles different plugin versions for differen IDEA versions? Do I have to upload them with different file names, or is the different 'since-build' attribute distinguishing enough?


I made the experience that

a) You cannot upload the same plugin versions but with different since-builds. You should
have different plugin versions, like "x.yy-Irida" and "x.yy-4.5.x". AFAIK, the filenames
don't matter at all.

b) You should set the "until-build" attribute to something like "2999" in the 4.5.x version
to prevent the Irida Plugin Manager to wrongly pick this version as the latest one. But that
depends on how you're choosing the version numbers.

Sascha

0
Comment actions Permalink

Martin - what did you fix for this release?
Is this anything to do with cyclic dependency issues between App and EJB modules, or something totally different?

0
Comment actions Permalink

There was a minor change in OpenAPI, no change in functionality at all.

Did you encounter any problems with module dependencies?

0
Comment actions Permalink

Did you encounter any problems with module
dependencies?


Sorry, just struggled over your other post about that. I don't think this dependency problem is related to the plugin, but let me know if I can be of any help.

0
Comment actions Permalink

Yes, I am.

IDEA is reporting that there are cyclic dependencies between any of my J2EE modules (web, ejb, app).

Whenever I try and edit the path settings of a module and click apply (build 3103, plugin 2.0) I get a dialog popping up stating that I have cyclic dependencies between foo-ejb and foo-app or foo-ejb and foo-web or foo-web and foo-ejb (you get the idea).

Ive tried deleting the modules from the project and adding them again, but this hasnt worked. Ive searched through the .IML files and there isnt any dependency in there that I can see.

Im going to try creating completely new ejb, web and application modules, in a new project

0
Comment actions Permalink

Hmm, just got the same here. But here IDEA complains about a cyclic dependency between foo-cmp and foo-cmp???

But the project seems to work, it's just impossible to change any path setting.

0

Please sign in to leave a comment.